#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco ASA connections metrics plugin
#
# Author: Th.L.
# Date  : 2018-01-09
#

#####################################################################################################################
#
# define units
#
#####################################################################################################################


#####################################################################################################################
#
# define metrics
#
#####################################################################################################################

metric_info['cisco_asa_connections_current_connections'] = {
    'title': _('current conections'),
    'unit': 'count',
    'color': '26/a',
}


metric_info['cisco_asa_connections_max_connections'] = {
    'title': _('max conections'),
    'unit': 'count',
    'color': '11/a',
}

######################################################################################################################
#
# map perfdata to metric
#
######################################################################################################################

check_metrics['check_mk-cisco_asa_connections'] = {
    'current_connections': {'name': 'cisco_asa_connections_current_connections', },
    'max_connections': {'name': 'cisco_asa_connections_max_connections',}
}

######################################################################################################################
#
# how to graph perdata
#
######################################################################################################################

graph_info.append({
    'title': _('connections'),
    'metrics': [
        ('cisco_asa_connections_max_connections', 'line'),
        ('cisco_asa_connections_current_connections', 'area'),
    ],
    'scalars': [
        ('cisco_asa_connections_current_connections:crit', _('crit level')),
        ('cisco_asa_connections_current_connections:warn', _('warn level')),
    ],
})

######################################################################################################################
#
# define perf-o-meter
#
######################################################################################################################


perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'cisco_asa_connections_current_connections',
    'half_value': 50000.0,
    'exponent': 2,
})